//  Persistence of Vision Raytracer V3.5
//  World definition file.
//
//  Contains 3 lights, 21 materials and 211 primitives.
//
//  This file was generated for POV-Ray V3.5 by
//  Moray V3.5 For Windows Copyright (c) 1993-2003 Lutz + Kretzschmar
//

//  Date : 07/15/2004    (15.07.2004)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment

This scene was created with Moray V3.5 For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.8
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  noise_generator 2
  charset utf8
}

background { color <0.071,0.498,0.686> }

camera {  //  Camera Camera01
  location  <     -2.000,      -6.000,       0.300>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.44733,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         78.37418    // Vertical      58.781
  look_at   <      0.232,      -1.833,      -0.586>
}

//
// *******  L I G H T S *******
//

light_source {   // Light003
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  translate  <-2,-7,0.3>
}
/*
light_source {   // Light002
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  translate  <-14.937007, -19.958435, 10.895455>
}
*/

light_source {   // Light001
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  //translate  <0.0, -27.86262, 16.13099>
  translate <     -7.000,      -0.800,       0.300>
}


plane { // Plane001
  z,0
/*  material {
    Grass
  }
*/
  texture{ pigment{color rgb<0.35,0.65,0.0>}
	         normal {bumps 0.75 scale 0.015}
                 finish {ambient 0.1 diffuse 0.8}
  } // end of texture

  translate  <-0.231818, 0.0, -3.855411>
}    

#declare Lower_Left_Arm_Rotation = 720*clock;
#declare Upper_Right_Leg_Rotation = (-120*clock+60);     
#declare Lower_Right_Leg_Rotation = (-50*clock+4);
#declare Lower_Left_Leg_Rotation = (-5+90*clock);
#declare Upper_Right_Arm_Rotation = -400*clock;
#declare Upper_Body_Rotation = (20-90*clock);
#include "ScorpionBody.inc"
object { Scorpion_Mech }

